Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api.tasks.ide.eclipse
Enum ProjectType

    java.lang.Object
      java.lang.Enum<ProjectType>
          org.gradle.api.tasks.ide.eclipse.ProjectType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProjectType>

    public enum ProjectType

extends java.lang.Enum<ProjectType>

Enum Constant Summary
`JAVA`
`SIMPLE`
`WTP_MODULE`
`WTP_WEBAPP`

Method Summary
`abstract java.util.List<java.lang.String>` | `buildCommandNames()`
`abstract java.util.List<java.lang.String>` | `natureNames()`
`static ProjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JAVA

    public static final ProjectType JAVA

### SIMPLE

    public static final ProjectType SIMPLE

### WTP_MODULE

    public static final ProjectType WTP_MODULE

### WTP_WEBAPP

    public static final ProjectType WTP_WEBAPP

Method Detail

### values

    public static final ProjectType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProjectType c : ProjectType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProjectType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### buildCommandNames

    public abstract java.util.List<java.lang.String> buildCommandNames()

### natureNames

    public abstract java.util.List<java.lang.String> natureNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD